Subject: Re: linux-next: Fixes tag needs some work in the tip tree

From: Borislav Petkov <[email-masked]>
Date: Thu, 20 Aug 2020 10:21:49 +0200

On Thu, Aug 20, 2020 at 04:12:39PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   71aefb9a89d4 ("RAS/CEC: Fix cec_init() prototype")
> 
> Fixes tag
> 
>   Fixes: 9554bfe403nd ("x86/mce: Convert the CEC to use the MCE notifier")

Hmm, this came from the original patch submission:

https://lkml.kernel.org/r/[email-masked]

the 'n' is already there.

> has these problem(s):
> 
>   - The SHA1 is not all hex

If your script which verifies that is in python, per chance, you could
give it to me so that I can add it to my patch massaging script. :-)

I have no Fixes: tags sanity checks so far and have never considered
that they could possibly be wrong but this here is a case-in-point
example.

I guess I'd need also an "is the commit ID an actual upstream commit ID"
check, while at it.

> Presumably
> 
> Fixes: 9554bfe403bd ("x86/mce: Convert the CEC to use the MCE notifier")

Fixing...

Thx.

-- 
Regards/Gruss,
    Boris.

SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg